Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpServerSocketTransport

    java.lang.Object
      com.ericsson.otp.erlang.OtpServerSocketTransport

All Implemented Interfaces:
  OtpServerTransport

    public class OtpServerSocketTransport

extends java.lang.Object
implements OtpServerTransport

Default socket-based server transport

Constructor Summary
`OtpServerSocketTransport(int port)`

Method Summary
`OtpTransport` | `accept()`
`void` | `close()`
`int` | `getLocalPort()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtpServerSocketTransport

    public OtpServerSocketTransport(int port)
                             throws java.io.IOException

Throws:
  `java.io.IOException`
See Also:
  `ServerSocket.ServerSocket(int)`

Method Detail

### getLocalPort

    public int getLocalPort()

  Specified by:
    `getLocalPort` in interface `OtpServerTransport`
  See Also:
    `ServerSocket.getLocalPort()`

### accept

    public OtpTransport accept()
                        throws java.io.IOException

  Specified by:
    `accept` in interface `OtpServerTransport`
  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocket.accept()`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `OtpServerTransport`
  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocket.close()`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD